| Flutter Windows Embedder |

Public Attributes | List of all members
FlutterDesktopGpuSurfaceDescriptor Struct Reference

`#include <flutter_texture_registrar.h>`

## Public Attributes
size_t | struct_size
void * | handle
size_t | width
size_t | height
size_t | visible_width
size_t | visible_height
FlutterDesktopPixelFormat | format
void(* | release_callback )(void *release_context)
void * | release_context

## Detailed Description

Definition at line 70 of file flutter_texture_registrar.h.

## Member Data Documentation

## ◆ format

FlutterDesktopPixelFormat FlutterDesktopGpuSurfaceDescriptor::format

Definition at line 98 of file flutter_texture_registrar.h.

## ◆ handle

void* FlutterDesktopGpuSurfaceDescriptor::handle

Definition at line 86 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ height

size_t FlutterDesktopGpuSurfaceDescriptor::height

Definition at line 90 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ release_callback

void(* FlutterDesktopGpuSurfaceDescriptor::release_callback) (void *release_context)

Definition at line 100 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ release_context

void* FlutterDesktopGpuSurfaceDescriptor::release_context

Definition at line 102 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ struct_size

size_t FlutterDesktopGpuSurfaceDescriptor::struct_size

Definition at line 73 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ visible_height

size_t FlutterDesktopGpuSurfaceDescriptor::visible_height

Definition at line 96 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ visible_width

size_t FlutterDesktopGpuSurfaceDescriptor::visible_width

Definition at line 93 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

## ◆ width

size_t FlutterDesktopGpuSurfaceDescriptor::width

Definition at line 88 of file flutter_texture_registrar.h.

Referenced by flutter::testing::TEST().

The documentation for this struct was generated from the following file:

- shell/platform/common/public/flutter_texture_registrar.h